Bug 74883 - Kernel Oops on 2 different times and process
Kernel Oops on 2 different times and process
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-02 11:35 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-02 11:35:04 EDT
Description of Problem:
After kernel oops the only thing that still works is httpd (but limited - won't
start new processes).  You get a login prompt locally(no ssh or ftp) but after
that login freezes.

Version-Release number of selected component (if applicable):
Linux version 2.4.7-10smp (bhcompile@stripples.devel.redhat.com)
(gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-98))
#1 SMP Thu Sep 6 17:09:31 EDT 2001

Attached devices: 
Host: scsi1 Channel: 00 Id: 03 Lun: 00
  Vendor: QUANTUM  Model: DLT7000          Rev: 2561
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 06 Lun: 00
  Vendor: PE/PV    Model: 1x5 SCSI BP      Rev: 0.28
  Type:   Processor                        ANSI SCSI revision: 02
Host: scsi2 Channel: 02 Id: 00 Lun: 00
  Vendor: MegaRAID Model: LD0 RAID5 39756R Rev: 161J
  Type:   Direct-Access                    ANSI SCSI revision: 02

Here is the ksymoops results from both times:
ksymoops 2.4.1 on i686 2.4.7-10smp.  Options used

Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
Error (expand_objects): cannot stat(/lib/megaraid.o) for megaraid
Error (expand_objects): cannot stat(/lib/aic7xxx.o) for aic7xxx
Error (expand_objects): cannot stat(/lib/sd_mod.o) for sd_mod
Error (expand_objects): cannot stat(/lib/scsi_mod.o) for scsi_mod
Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base says
c01bf9b0, System.map says c015fa20.  Ignoring ksyms_base entry
Warning (compare_maps): mismatch on symbol usb_devfs_handle  , usbcore says
f89704a0, /lib/modules/2.4.7-10smp/kernel/drivers/usb/usbcore.o says f896ffc0. 
Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/usb/usbcore.o entry
Warning (map_ksym_to_module): cannot match loaded module ext3 to a unique module
object.  Trace may not be reliable.
Warning (compare_maps): mismatch on symbol mega_hbas  , megaraid says f88458c0,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/megaraid.o says f8845600.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/megaraid.o entry
Warning (compare_maps): mismatch on symbol sd  , sd_mod says f881cce4,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/sd_mod.o says f881cba0.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/sd_mod.o entry
Warning (compare_maps): mismatch on symbol proc_scsi  , scsi_mod says f8818088,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f8816910.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_devicelist  , scsi_mod says
f88180b4, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f881693c.
 Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_hostlist  , scsi_mod says
f88180b0, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f8816938.
 Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_hosts  , scsi_mod says f88180b8,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f8816940.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_logging_level  , scsi_mod says
f8818084, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f881690c.
 Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Oct  2 04:08:53 webct kernel: Unable to handle kernel NULL pointer dereference
at virtual address 0000000c
Oct  2 04:08:53 webct kernel: c0144d00
Oct  2 04:08:53 webct kernel: *pde = 00000000
Oct  2 04:08:53 webct kernel: Oops: 0000
Oct  2 04:08:53 webct kernel: CPU:    0
Oct  2 04:08:53 webct kernel: EIP:    0010:[cdfind+16/48]
Oct  2 04:08:53 webct kernel: EIP:    0010:[<c0144d00>]
Using defaults from ksymoops -t elf32-i386 -a i386
Oct  2 04:08:53 webct kernel: EFLAGS: 00010217
Oct  2 04:08:53 webct kernel: eax: 00000000   ebx: c9803240   ecx: 00001d12  
edx: c03135b8
Oct  2 04:08:53 webct kernel: esi: c9803240   edi: 00001d12   ebp: c03135b8  
esp: e6789e04
Oct  2 04:08:53 webct kernel: ds: 0018   es: 0018   ss: 0018
Oct  2 04:08:53 webct kernel: Process updatedb (pid: 15894, stackpage=e6789000)
Oct  2 04:08:53 webct kernel: Stack: c0144d60 00001d12 c03135b8 00000038
c9803240 c9803240 00001d12 f64e5c00 
Oct  2 04:08:53 webct kernel:        c013d079 00001d12 00000000 f885b3a3
c9803240 00002180 00001d12 f6a99de0 
Oct  2 04:08:53 webct kernel:        e5c027e0 00000282 00000000 eff27680
d9910f80 00000004 c0152fbf 00000000 
Oct  2 04:08:53 webct kernel: Call Trace: [cdget+64/224]
[init_special_inode+57/192]
[bcm5700:__insmod_bcm5700_O/lib/modules/2.4.7-10smp/kernel/drivers/n+-1461341/96]
[get_new_inode+79/384] [get_new_inode+227/384] 
Oct  2 04:08:53 webct kernel: Call Trace: [<c0144d60>] [<c013d079>] [<f885b3a3>]
[<c0152fbf>] [<c0153053>] 
Oct  2 04:08:53 webct kernel:    [<c01532e9>] [<f885c548>] [<c0147d13>]
[<c014855e>] [<c0148dca>] [<c0145573>] 
Oct  2 04:08:53 webct kernel:    [<c0107268>] [<c010716b>] 
Oct  2 04:08:53 webct kernel: Code: 66 39 48 0c 75 0a f0 ff 40 08 c3 90 8d 74 26
00 8b 00 39 d0 

>>EIP; c0144d00 <cdfind+10/30>   <=====
Trace; c0144d60 <cdget+40/e0>
Trace; c013d079 <init_special_inode+39/c0>
Trace; f885b3a3 <[ext3].text.start+6343/b89f>
Trace; c0152fbf <get_new_inode+4f/180>
Trace; c0153053 <get_new_inode+e3/180>
Trace; c01532e9 <iget4+d9/f0>
Trace; f885c548 <[ext3].text.start+74e8/b89f>
Trace; c0147d13 <real_lookup+73/110>
Trace; c014855e <path_walk+66e/8f0>
Trace; c0148dca <__user_walk+3a/60>
Trace; c0145573 <sys_lstat64+13/70>
Trace; c0107268 <error_code+38/40>
Trace; c010716b <system_call+33/38>
Code;  c0144d00 <cdfind+10/30>
00000000 <_EIP>:
Code;  c0144d00 <cdfind+10/30>   <=====
   0:   66 39 48 0c               cmp    %cx,0xc(%eax)   <=====
Code;  c0144d04 <cdfind+14/30>
   4:   75 0a               jne    10 <_EIP+0x10> c0144d10 <cdfind+20/30>
Code;  c0144d06 <cdfind+16/30>
   6:   f0 ff 40 08               lock incl 0x8(%eax)
Code;  c0144d0a <cdfind+1a/30>
   a:   c3                        ret    
Code;  c0144d0b <cdfind+1b/30>
   b:   90                        nop    
Code;  c0144d0c <cdfind+1c/30>
   c:   8d 74 26 00               lea    0x0(%esi,1),%esi
Code;  c0144d10 <cdfind+20/30>
  10:   8b 00                     mov    (%eax),%eax
Code;  c0144d12 <cdfind+22/30>
  12:   39 d0                     cmp    %edx,%eax


11 warnings and 6 errors issued.  Results may not be reliable.

ksymoops 2.4.1 on i686 2.4.7-10smp.  Options used

Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
Error (expand_objects): cannot stat(/lib/megaraid.o) for megaraid
Error (expand_objects): cannot stat(/lib/aic7xxx.o) for aic7xxx
Error (expand_objects): cannot stat(/lib/sd_mod.o) for sd_mod
Error (expand_objects): cannot stat(/lib/scsi_mod.o) for scsi_mod
Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base says
c01bf9b0, System.map says c015fa20.  Ignoring ksyms_base entry
Warning (compare_maps): mismatch on symbol usb_devfs_handle  , usbcore says
f89704a0, /lib/modules/2.4.7-10smp/kernel/drivers/usb/usbcore.o says f896ffc0. 
Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/usb/usbcore.o entry
Warning (map_ksym_to_module): cannot match loaded module ext3 to a unique module
object.  Trace may not be reliable.
Warning (compare_maps): mismatch on symbol mega_hbas  , megaraid says f88458c0,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/megaraid.o says f8845600.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/megaraid.o entry
Warning (compare_maps): mismatch on symbol sd  , sd_mod says f881cce4,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/sd_mod.o says f881cba0.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/sd_mod.o entry
Warning (compare_maps): mismatch on symbol proc_scsi  , scsi_mod says f8818088,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f8816910.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_devicelist  , scsi_mod says
f88180b4, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f881693c.
 Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_hostlist  , scsi_mod says
f88180b0, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f8816938.
 Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_hosts  , scsi_mod says f88180b8,
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f8816940.  Ignoring
/lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_logging_level  , scsi_mod says
f8818084, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says f881690c.
 Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o entry
Sep 23 03:00:09 webct kernel: Unable to handle kernel NULL pointer dereference
at virtual address 0000000c
Sep 23 03:00:09 webct kernel: c0144d00
Sep 23 03:00:09 webct kernel: *pde = 00000000
Sep 23 03:00:09 webct kernel: Oops: 0000
Sep 23 03:00:09 webct kernel: CPU:    1
Sep 23 03:00:09 webct kernel: EIP:    0010:[cdfind+16/48]
Sep 23 03:00:09 webct kernel: EIP:    0010:[<c0144d00>]
Using defaults from ksymoops -t elf32-i386 -a i386
Sep 23 03:00:09 webct kernel: EFLAGS: 00010217
Sep 23 03:00:09 webct kernel: eax: 00000000   ebx: cafd4720   ecx: 00004401  
edx: c0313628
Sep 23 03:00:09 webct kernel: esi: cafd4720   edi: 00004401   ebp: c0313628  
esp: c815fe04
Sep 23 03:00:09 webct kernel: ds: 0018   es: 0018   ss: 0018
Sep 23 03:00:09 webct kernel: Process uagentd (pid: 22473, stackpage=c815f000)
Sep 23 03:00:09 webct kernel: Stack: c0144d60 00004401 c0313628 000000a8
cafd4720 cafd4720 00004401 f64e3c00 
Sep 23 03:00:09 webct kernel:        c013d079 00004401 00000000 f885b3a3
cafd4720 00002180 00004401 f72a4560 
Sep 23 03:00:09 webct kernel:        ccde9340 00000282 00000000 e29e8300
f3201b00 00000004 c0152fbf 00000000 
Sep 23 03:00:09 webct kernel: Call Trace: [cdget+64/224]
[init_special_inode+57/192]
[bcm5700:__insmod_bcm5700_O/lib/modules/2.4.7-10smp/kernel/drivers/n+-1461341/96]
[get_new_inode+79/384] [get_new_inode+227/384] 
Sep 23 03:00:09 webct kernel: Call Trace: [<c0144d60>] [<c013d079>] [<f885b3a3>]
[<c0152fbf>] [<c0153053>] 
Sep 23 03:00:09 webct kernel:    [<c01486ec>] [<c01532e9>] [<f885c548>]
[<c0147d13>] [<c014855e>] [<c0150905>] 
Sep 23 03:00:09 webct kernel:    [<c0148dca>] [<c0145573>] [<c010716b>] 
Sep 23 03:00:09 webct kernel: Code: 66 39 48 0c 75 0a f0 ff 40 08 c3 90 8d 74 26
00 8b 00 39 d0 

>>EIP; c0144d00 <cdfind+10/30>   <=====
Trace; c0144d60 <cdget+40/e0>
Trace; c013d079 <init_special_inode+39/c0>
Trace; f885b3a3 <[ext3].text.start+6343/b89f>
Trace; c0152fbf <get_new_inode+4f/180>
Trace; c0153053 <get_new_inode+e3/180>
Trace; c01486ec <path_walk+7fc/8f0>
Trace; c01532e9 <iget4+d9/f0>
Trace; f885c548 <[ext3].text.start+74e8/b89f>
Trace; c0147d13 <real_lookup+73/110>
Trace; c014855e <path_walk+66e/8f0>
Trace; c0150905 <dput+35/180>
Trace; c0148dca <__user_walk+3a/60>
Trace; c0145573 <sys_lstat64+13/70>
Trace; c010716b <system_call+33/38>
Code;  c0144d00 <cdfind+10/30>
00000000 <_EIP>:
Code;  c0144d00 <cdfind+10/30>   <=====
   0:   66 39 48 0c               cmp    %cx,0xc(%eax)   <=====
Code;  c0144d04 <cdfind+14/30>
   4:   75 0a                     jne    10 <_EIP+0x10> c0144d10 <cdfind+20/30>
Code;  c0144d06 <cdfind+16/30>
   6:   f0 ff 40 08               lock incl 0x8(%eax)
Code;  c0144d0a <cdfind+1a/30>
   a:   c3                        ret    
Code;  c0144d0b <cdfind+1b/30>
   b:   90                        nop    
Code;  c0144d0c <cdfind+1c/30>
   c:   8d 74 26 00               lea    0x0(%esi,1),%esi
Code;  c0144d10 <cdfind+20/30>
  10:   8b 00                     mov    (%eax),%eax
Code;  c0144d12 <cdfind+22/30>
  12:   39 d0                     cmp    %edx,%eax


11 warnings and 6 errors issued.  Results may not be reliable.
Comment 1 Bugzilla owner 2004-09-30 11:39:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.